### Method

# Gtk FlowBox set_filter_func

#### Declaration [src]

    void
    gtk_flow_box_set_filter_func (
      GtkFlowBox* box,
      GtkFlowBoxFilterFunc filter_func,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

By setting a filter function on the `box` one can decide dynamically which of the children to show.

For instance, to implement a search function that only shows the children matching the search terms.

The `filter_func` will be called for each child after the call, and it will continue to be called each time a child changes (via gtk_flow_box_child_changed()) or when gtk_flow_box_invalidate_filter() is called.

Note that using a filter function is incompatible with using a model (see gtk_flow_box_bind_model()).

#### Parameters

`filter_func` | `GtkFlowBoxFilterFunc`
| Callback that lets you filter which children to show.
`user_data` | `gpointer`
| User data passed to `filter_func`.
`destroy` | `GDestroyNotify`
| Destroy notifier for `user_data`.